|  | Home · All Classes · Modules

# QDBusServiceWatcher.WatchMode Class Reference
[QtDBus module]

### Methods

- __init__ (self, WatchMode)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- WatchMode __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, WatchMode f)
- WatchMode __iand__ (self, int mask)
- int __int__ (self)
- WatchMode __invert__ (self)
- WatchMode __ior__ (self, WatchMode f)
- WatchMode __ixor__ (self, WatchMode f)
- bool __ne__ (self, WatchMode f)
- WatchMode __or__ (self, WatchMode f)
- WatchMode __or__ (self, int f)
- WatchMode __xor__ (self, WatchMode f)
- WatchMode __xor__ (self, int f)

## Detailed Description

## Method Documentation

### WatchMode.__init__ (self, WatchMode)

### WatchMode.__init__ (self, int)

### WatchMode.__init__ (self)

### WatchMode WatchMode.__and__ (self, int mask)

### int WatchMode.__bool__ (self)

### bool WatchMode.__eq__ (self, WatchMode f)

### WatchMode WatchMode.__iand__ (self, int mask)

### int WatchMode.__int__ (self)

### WatchMode WatchMode.__invert__ (self)

### WatchMode WatchMode.__ior__ (self, WatchMode f)

### WatchMode WatchMode.__ixor__ (self, WatchMode f)

### bool WatchMode.__ne__ (self, WatchMode f)

### WatchMode WatchMode.__or__ (self, WatchMode f)

### WatchMode WatchMode.__or__ (self, int f)

### WatchMode WatchMode.__xor__ (self, WatchMode f)

### WatchMode WatchMode.__xor__ (self, int f)